# Deprecated API

## Contents

- Methods
- Constructors

Deprecated Methods
Method
Description
org.jboss.classfilewriter.ClassFile.define(ClassLoader)
org.jboss.classfilewriter.ClassFile.define(ClassLoader, ProtectionDomain)

Deprecated Constructors
Constructor
Description
org.jboss.classfilewriter.ClassFile(String, int, String, int, ClassLoader, String...)
org.jboss.classfilewriter.ClassFile(String, int, String, ClassLoader, String...)
org.jboss.classfilewriter.ClassFile(String, int, String, String...)
org.jboss.classfilewriter.ClassFile(String, String, ClassLoader, String...)
org.jboss.classfilewriter.ClassFile(String, String, String...)